Download it now!
Bug 60798 - FORMATTING: Conditional Formatting icon set provides false result
Summary: FORMATTING: Conditional Formatting icon set provides false result
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.0.0.3 release
Hardware: Other All
: medium normal
Assignee: Markus Mohrhard
URL:
Whiteboard: target:4.1.0 target:4.0.1
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-13 15:21 UTC by GerardF
Modified: 2013-02-26 21:52 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Wrong criteria for icon set (23.75 KB, application/vnd.oasis.opendocument.spreadsheet)
2013-02-13 15:22 UTC, GerardF
Details

Note You need to log in before you can comment on or make changes to this bug.
Description GerardF 2013-02-13 15:21:11 UTC
When formatting with icon (3 arrows), CF dialog show criteria >= value.
Result is the formatting applies criteria > , not > or =.

See attachment.
Comment 1 GerardF 2013-02-13 15:22:10 UTC
Created attachment 74757 [details]
Wrong criteria for icon set
Comment 2 Not Assigned 2013-02-14 14:39:30 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4dc71bcf6e6a757a8369c46db1c24e98679d1506

use >= as mentioned in the UI, fdo#60798



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 GerardF 2013-02-18 10:09:30 UTC
Fixed in Version 4.1.0.0.alpha0+ (Build ID: a4b4c0cdae9695f49d41f097fb891845b8e908f)
TinderBox: Win-x86@6, Branch:master, Time: 2013-02-15_01:55:47

@ Markus,
Could this be backported to 4.0.1 ?
Comment 4 Not Assigned 2013-02-26 07:33:25 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0c771fda26a03b3928e7962265658affc9fb9eb1&h=libreoffice-4-0

use >= as mentioned in the UI, fdo#60798


It will be available in LibreOffice 4.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Not Assigned 2013-02-26 11:37:57 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-4-0-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5cb54fa422f7c29383e0eb429e568856015352db&h=libreoffice-4-0-1

use >= as mentioned in the UI, fdo#60798


It will be available already in LibreOffice 4.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.